DT-LIBVAL_CHECK_CONF(1)

NAME
dt-libval_check_conf - command-line program for checking validity of the validator configuration files.

SYNOPSIS
    dt-libval_check_conf [options]

DESCRIPTION
This program checks a given validator configuration file for any syntax errors. If no file is specified as a command line option, the default dnsval.conf file is checked.

RETURN VALUES
The program returns 0 on success and -1 on failure.

OPTIONS

-d, --dnsval-conf
    Specifies the location for the dnsval.conf file. If this option is not specified the default dnsval.conf file recognized by the validator library is used instead.

-r, --resolv-conf
    Specifies the location for the resolv.conf file. If this option is not specified the default resolv.conf file recognized by the validator library is used instead.

-i, --root-hints
    Specifies the location for the root.hints file. If this option is not specified the default root.hints file recognized by the validator library is used instead.

-v, --verbose
    Displays detailed messages and warnings associated with the validator configuration file check process.

-h, --help
    Displays a usage help message and exits the program.

COPYRIGHT
Copyright 2005-2013 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHORS
Suresh Krishnaswamy (suresh@tislabs.com)

SEE ALSO
dnsval.conf(3)